PhotoQt v1.1.0.1 - Copyright (C) 2014, Lukas Spies (Lukas@photoqt.org), License: GPLv2 (or later) - http://photoqt.org
-----------------------------------------------------------------------------------------------------------------------

PhotoQt is a fast and highly configurable image viewer with a simple and nice interface.


DEPENDENCIES
------------
Qt >= 5 (make sure to have the needed modules: image formats, multimedia)
cmake (needed for building PhotoQt)

>> Dependencies, that are needed by default, but can be disabled via cmake (see INSTALL section):
exiv2
GraphicsMagick


**Note**
On some systems you also need the *-dev package for compiling (e.g. exiv2-dev - names can vary slightly depending
on your distribution). These files usually can be removed again after compilation is done.


INSTALL
-------

1) cd build/

2) cmake .. 	# Note: This installs PhotoQt by default into /usr/local/{bin,share}

   # To install PhotoQt into another prefix e.g. /usr/{bin,share}, run:
   cmake -DCMAKE_INSTALL_PREFIX=/usr ..
   
   # PhotoQt makes use of different libraries: Exiv2, GraphicsMagick ("gm").
   # You can en-/disable them with the following options:
   # (if you don't specify anything, it asumes the default values)
   -DEXIV2=OFF			# default: ON
   -DGM=OFF			# default: ON
   # You can combine them in any way you want.
   # The following option equates to setting the two above options to OFF
   -DQTONLY=ON			# default: OFF
   # Note: -DQTONLY overwrites the two individual options above!
   

3) make  # This creates an executeable photoqt binary located in the ./build/ folder

4) (as root) make install  # This (i) installs the desktop file to share/applications/
				(ii) moves some icons to icons/hicolor/
				(iii) moves the binary to bin/



UNINSTALL
---------
If you want to uninstall PhotoQt, simply run "make uninstall" as root. This removes the desktop file (via
"xdg-desktop-menu uninstall"), the icons and the binary file. Alternatively you can simply remove all the files
manually, that should yield the same result.